Skip to main content
GET
/
api
/
customer
/
search
Find customer by email
curl --request GET \
  --url https://api.suby.fi/api/customer/search \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "email": "jsmith@example.com",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "payments": [
      {
        "id": "<string>",
        "status": "<string>",
        "productId": "<string>",
        "method": "<string>",
        "currency": "<string>",
        "amount": "<string>",
        "decimals": 123,
        "valueUsd": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 25,
      "total": 42,
      "totalPages": 2
    }
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication

Query Parameters

email
string<email>
required
page
integer
default:1

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:25

Results per page (max 25)

Required range: 1 <= x <= 25

Response

Customer found

success
boolean
Example:

true

data
object